$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.2-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.2-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B6BCE7BD0F7BDB3C788B51BDF7E3F674B677CC74E57F6576192433B5298BBA75'
  checksumType = 'sha256'
  checksum64 = 'B6BCE7BD0F7BDB3C788B51BDF7E3F674B677CC74E57F6576192433B5298BBA75'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.2-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
